version: '3.4'

services:
  gateway:
    build:
      context: .
      target: '${BUILD_TARGET}'
    ports:
      - '${PORT}:${PORT}'
    volumes:
      - '.:/usr/src/gateway'
      - 'app_dependencies:/usr/src/gateway/node_modules'

volumes:
  app_dependencies: